Subject: Re: [PATCH v2 0/5] date.[ch] API: split from cache.h, add API docs, stop leaking memory

From: Junio C Hamano <[email-masked]>
Date: Mon, 14 Feb 2022 11:52:37 -0800

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> On Sat, Feb 05 2022, Ævar Arnfjörð Bjarmason wrote:
>
>> Fix memory leaks in the date.[ch] API, in preparation for larger
>> changes to make the revision walking API stop leaking memory.
>>
>> This is a trivial re-roll to v1, to fix an issue that "make hdr-check"
>> spotted. For v1 see:
>> https://lore.kernel.org/git/[email-masked]/
>
> Junio: I think this series may have fallen between the cracks. Any
> chance you're willing to pick this up? I'm keen to submit the larger
> revision.[ch] leak fixes in this cycle, and this is one of the few
> remaining dependencies for that.

I haven't seen the topic reviewed, and I haven't even had a chance
to give a cursory look, so until then, it will remain on the list
archive.

Thanks for reminding.